Bug 138400 - UI Calc Wrong icons showing for format as general
Summary: UI Calc Wrong icons showing for format as general
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.7.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.2 target:7.2....
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-Elementary Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-11-21 23:59 UTC by Jay
Modified: 2022-10-17 11:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Picture of toolbar segment (2.73 KB, image/jpeg)
2020-11-22 00:01 UTC, Jay
Details
Format as General (14.29 KB, image/jpeg)
2020-11-22 00:04 UTC, Jay
Details
Format as Currency (18.94 KB, image/jpeg)
2020-11-22 00:04 UTC, Jay
Details
General format icons in various themes and softwares (26.68 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-27 06:49 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jay 2020-11-21 23:59:01 UTC
Description:
The icon on the Formatting toolbar for the Format as General function shows $0, while the icon for Format as Currency function shows a rectangle containing shapes. 

Steps to Reproduce:
1. Look at the Formatting toolbar
2.
3.

Actual Results:
The icon on the Formatting toolbar for the Format as General function shows $0, while the icon for Format as Currency function shows a rectangle containing shapes. 

Expected Results:
The icon on the Formatting toolbar for the Format as General function would be a number (like 123 or 999 or something similar) and the icon for Format as Currency function would be $0


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: no
Version: 6.4.7.2 (x64)
Build ID: 639b8ac485750d5696d7590a72ef1b496725cfb5
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 1 Jay 2020-11-22 00:01:51 UTC
Created attachment 167463 [details]
Picture of toolbar segment
Comment 2 Jay 2020-11-22 00:04:07 UTC
Created attachment 167464 [details]
Format as General
Comment 3 Jay 2020-11-22 00:04:48 UTC
Created attachment 167465 [details]
Format as Currency
Comment 4 Roman Kuznetsov 2020-11-26 18:51:01 UTC
Andreas, Rizal, why do we have "$0" symbol for General number format in Calc?

Jay, icon for currency is a dollar-style banknote and it's OK. A question is "why "$0" for General format?".
Comment 5 Rizal Muttaqin 2020-11-27 06:49:01 UTC
Created attachment 167606 [details]
General format icons in various themes and softwares

(In reply to Roman Kuznetsov from comment #4)
> Andreas, Rizal, why do we have "$0" symbol for General number format in Calc?
> 
> Jay, icon for currency is a dollar-style banknote and it's OK. A question is
> "why "$0" for General format?".

I have no idea. I just follow previous design. All icon themes except Karasa Jaga (Breeze, Colibre, elementary, Sifr and Sukapura) use the same design "$0". Looking at MS Excel it uses general 123 which I think more acceptable. IIRC Breeze is the first theme that introduced "$0" (CMIIW Andreas Kainz). 

Galaxy use "$%" same with Karasa Jaga (I have tried to make KJ to be similar as Galaxy as possible) with difference that Galaxy use backward arrow below.

You can see my attachment for complete comparison.

Please give me input as I agree "$0" kind of currency format.
Comment 6 Commit Notification 2022-02-21 02:24:08 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ddd4298086e98a706c8765b2a77d6a6f364706a8

Colibre: tdf#138400 General Number Format icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-02-21 02:24:16 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3ec2e51ae15d0089be33831bc6d4b8dbcddbfef

Sukapura: tdf#138400 General Number Format icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-02-21 02:25:28 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/b03caa6fc4e4c89d143d8fc14e3cab9ee013cc43

Colibre: tdf#138400 General Number Format icons

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-02-21 02:25:36 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/8c88fc5f2eec646a00f4e28e15e3eb0154998c09

Sukapura: tdf#138400 General Number Format icons

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-02-21 02:46:04 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/f35aadf153e18d1c7b766a9dbbe281cf61716d55

Colibre: tdf#138400 General Number Format icons

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-02-21 02:46:13 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/5d61c104e00f6ab8a727f5d8aa1bf1195dac8e38

Sukapura: tdf#138400 General Number Format icons

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-02-22 13:46:02 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0a43965bf674599aba901666ad1a8ebfd18ed9a2

elementary: tdf#138400 General Number Format icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-02-22 14:12:33 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/64c90d8544706c1889e04085f5cfb06eb39773de

elementary: tdf#138400 General Number Format icons

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2022-02-22 18:31:39 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/9af80b71962cb3b7656698a83e5a9c86a72505e2

Sifr: tdf#138400 General Number Format icons

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2022-02-22 18:31:49 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aaae9e4e28e0d92a20bd2f1f79975dd3ece8e22f

Sifr: tdf#138400 General Number Format icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Rizal Muttaqin 2022-03-14 08:58:37 UTC
Breeze is remaining icon theme which should be updated
Comment 17 Rizal Muttaqin 2022-06-17 23:08:12 UTC
As a side note, I will not change the icon for currency as we are agree to avoid certain currency symbol to be used. Instead, the majority of icon themes are using generic money symbol.
Comment 18 Commit Notification 2022-06-18 00:35:26 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ca47989ad60b1414f92be22a1fbf4c1d1a92dd97

Breeze: tdf#138400 update General Format icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2022-06-18 03:49:25 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/00aa201a90885e4d973fd05e5976977a9d87737b

Breeze: tdf#138400 update General Format icons

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2022-06-18 03:50:38 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/4aa61f7cf13cfc2bc9f0af0a4ac2110d350e7bc1

Breeze: tdf#138400 update General Format icons

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 BogdanB 2022-06-24 04:39:18 UTC
I have verified all the icons themes on Linux.

A problem is with Karasa Jaga, it shows "$%".
All other shows "12".
Comment 22 Rizal Muttaqin 2022-06-24 10:23:31 UTC
(In reply to BogdanB from comment #21)
> I have verified all the icons themes on Linux.
> 
> A problem is with Karasa Jaga, it shows "$%".
> All other shows "12".

As you can see in attachment 167606 [details], Karasa Jaga follows Galaxy. I have no intention to change it right now. But everyone can convince me of course to do the opposite or send his/her own changes.